function CalculationHitProbability(cnt_in_all, maxt_list_c_all)

hitprob=cnt_in_all./maxt_list_c_all;
hitprob=sort(hitprob);
figure, bar(hitprob)

disp('0-hit cancer cells');
disp(numel(find(hitprob==0)))
disp('whole cancer number');
disp(length(hitprob))

list_h=find(hitprob>0);
hitprob2=hitprob(list_h);
figure, histogram(hitprob2);

disp('Hit probability in all cancers: mean, median, sd')
disp([mean(hitprob) median(hitprob) std(hitprob)])

disp('Hit probability within "hit"-experienced cancers: mean, median, sd')
disp([mean(hitprob2) median(hitprob2) std(hitprob2)])

end
